<?php
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function gamuform_exemple_dist(){

	$js = <<<EOF
	<script>console.log('coucou');</script>
	EOF;

	return [
		// API SAISIES
		'options' => [
			'texte_submit'  => 'Valider c’est gagné',
			'inserer_debut' => 'coucou le debut',
			'inserer_fin'   => $js,
		],
		[
			'saisie'  => 'input',
			'options' => [
				'nom'         => 'type_intervention',
				'label'       => "Type d'intervention",
				'obligatoire' => 'oui',
				//'fonction' => 'ma_super_fonction'  // Nom de la fonction appelée pour enregistrer ce champ de facon autonome
				//'modifier' => 'ma_super_fonction_pour_modifier'  // Nom de la fonction appelée pour faire un traitement sur un champ avant l'insertion en bdd
			],
			// la cle gamutable n'est pas obligatoire, si absente, gamutable utilisera des valeurs par defaut et des infos de la clé options de saisie
			'gamutable' => [ // pour le champ type_intervention, comme on définit la clé gamutable, c'est elle qui sera utilisé pour la vue, avec les memes clés que gamutable
				'champ'     => 'type_intervention',
				'header'    => 'Type',
				'classes'   => 'w200p',
				'filtreCol' => 'select',
				'crayons'   => 'nom_objet_SPIP', // nom de l'objet du crayons
				'fonction'  => 'Majuscules', // fonction php pour filtre le contenu du champ, elle recoit en argument la valeur du champ
			]
		],
		[
			'saisie'  => 'input',
			'options' => [
				'nom'         => 'desc_type_intervention',
				'libelle'     => 'Description',
				'label'       => 'Description',
				'obligatoire' => 'oui',
				'fonction'  => '_array_maSuperFonction' // on peut prefixer le nom de la fonction par _array_ et dans ce cas, on cherche une fonction qui
				// s'appelle _array_maSuperFonction ou simplement maSuperFonction, elle recoit en arg, l'array de la ligne (fetsel) et non simplement la valeur du champ
			],
			'gamutable' => [
				'champ'   => 'desc_type_intervention',
				'header'  => 'Compétition',
				'classes' => 'w200p',
			]
		],
		[
			'saisie'  => 'radio',
			'options' => [
				'nom'     => 'controle_ok',
				'libelle' => 'Contrôle OK',
				'label'   => 'Contrôle OK',
				'data'    => ['oui' => 'Oui', '' => 'Non']
				//'fonction'  => 'ma_super_fonction'
			],
			// la cle gamutable est "normalement" pas obligatoire
			// 'gamutable' => [
			// 	'champ'   => 'desc_type_intervention',
			// 	'header'  => 'Compétition',
			// 	'classes' => 'w200p',
			// ]
		],
		// possible un array avec simplement la cle gamutable, que pour l'affichage
		// cela permet d'avoir une colonne qui s'intercale entre 2 colonnes de champs venant de SAISIES
		[
			'gamutable' => [
				'champ'     => 'maj',
				'header'    => '<:prefix:toto:>',
				'classes'   => 'w200p text-center',
				'filtreCol' => 'input',
			]
		],
	];
}
